Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation
Class InvocationStatistics

    java.lang.Object
      org.jboss.invocation.InvocationStatistics

public class InvocationStatistics
extends Object

A method invocation statistics collection class.

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org

Nested Class Summary
`class` | `InvocationStatistics.TimeStatistic`

Field Summary
`long` | `concurrentCalls`
`long` | `lastResetTime`
`long` | `maxConcurrentCalls`

Constructor Summary
`InvocationStatistics()`

Method Summary
`void` | `callIn()`
`void` | `callOut()`
`Map` | `getStats()` Access the current collection of method invocation statistics
`void` | `resetStats()` Resets all current TimeStatistics.
`String` | `toString()` Generate an XML fragement for the InvocationStatistics.
`void` | `updateStats(Method m, long elapsed)` Update the TimeStatistic for the given method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### concurrentCalls

    public long concurrentCalls

### maxConcurrentCalls

    public long maxConcurrentCalls

### lastResetTime

    public long lastResetTime

Constructor Detail

### InvocationStatistics

    public InvocationStatistics()

Method Detail

### updateStats

    public void updateStats(Method m,
                            long elapsed)

  Update the TimeStatistic for the given method. This synchronizes on m to ensure that the TimeStatistic for m is updated atomically.

  Parameters:
    `m` - the method to update the statistics for.
    `elapsed` - the elapsed time in milliseconds for the invocation.

### callIn

    public void callIn()

### callOut

    public void callOut()

### resetStats

    public void resetStats()

  Resets all current TimeStatistics.

### getStats

    public Map getStats()

  Access the current collection of method invocation statistics

  Returns:
    A HashMap of the method invocations

### toString

    public String toString()

  Generate an XML fragement for the InvocationStatistics. The format is ...

  Returns:
    an XML representation of the InvocationStatistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.